#include "hmg.ch"
#include "Camely.prg"

Function Main

PRIVATE  nCouRX , nPrecioTotal , nRegistros
PRIVATE  aReg , nValor , Regs 

*----------------------------------------*
* (c) Mustafa Lpez  mustalopez@gmail.com
*----------------------------------------*

  REQUEST DBFCDX , DBFFPT , DBFDBT
  RDDSETDEFAULT( "DBFCDX" )
*-----------------------------------------------------------------------------------------------------------*
  SELECT 1
  USE STOCK 
  INDEX ON STR(REF) TO STOCK   
  CLOSE DATABASES 
*-----------------------------------------------------------------------------------------------------------*

  REQUEST HB_CODEPAGE_ESWIN     
  HB_SETCODEPAGE("ESWIN")    
 
  REQUEST HB_LANG_ES   
  HB_LANGSELECT("ES")  
*----------------------------------*
  SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  SET LANGUAGE TO SPANISH 
  SET CODEPAGE TO SPANISH
  SET DELETED ON
  SET DECIMALS TO 2
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET BROWSESYNC ON
  SET TOOLTIPSTYLE BALLOON
*----------------------------------*

   DEFINE WINDOW Form_1            ;
      AT 0,0                       ;
      WIDTH  990                   ;
      HEIGHT 550                   ;
      TITLE SPACE(8)+ "Grid  Price  Euro"     ;   
      ICON 'Logo'                  ;   
      NOSIZE NOMAXIMIZE            ;
      MAIN                         ;
      ON INIT Muy_Listo()

      ON KEY ESCAPE ACTION Form_1.Release  

      @ 060,783 LABEL Label_00Z Value "Price Euro -> Sample" Width  240  Height 032     ; 
                      FONT "Arial" SIZE 11 BOLD ITALIC        
  
   DEFINE TEXTBOX Folder_01
        ROW    110
        COL    798
        WIDTH  105
        HEIGHT 024
        FONTNAME "Arial"
        FONTSIZE 9
        FONTBOLD .T.
        FONTITALIC .T.
        TOOLTIP ""
        VISIBLE .T.
        READONLY .T.
        DISABLEDBACKCOLOR  { 251,221,251 } 
        DISABLEDFONTCOLOR   { 000,000,000 }                       
        VALUE 1245.45   // <-------- Sample
        NUMERIC .T. 
        INPUTMASK "999,999.99 "   // <----------- to show a dot instead a comma
        FORMAT 'E'
    END TEXTBOX

    @ 155,798 TEXTBOX Folder_02 FONT "ARIAL" SIZE 09 BOLD ITALIC  WIDTH 105 HEIGHT 024 VALUE 0;
              BACKCOLOR { 251,221,251 } FONTCOLOR { 000,000,000 } NUMERIC INPUTMASK "999,999.99 " FORMAT 'E'  // <----------- to show a dot instead a comma

*-----------------------------------------------  PositionData ---------------------------------------------*
   @ 218, 830 Label Label_2G     ;
                width   050        ;
                height  025        ;
                FONT "Arial"  SIZE 10 BOLD ;
                value ""
*-------------------------------------------------Color  Grid_1  -------------------------------------------*

      fColor := { || if ( This.CellRowIndex/2 == int(This.CellRowIndex/2) , BLUE , RED ) }
      bcolor := { || if ( This.CellRowIndex/2 = int (This.CellRowIndex/2) , {180,200,255} , {255,255,211} ) }   
         
*-----------------------------------------------------------------------------------------------------------*
*----------------------------------------------- Color Barra Video Inversa ---------------------------------*
  _HMG_SYSDATA [ 348 ] := { 199,250,225 }    
  _HMG_SYSDATA [ 349 ] := { 007,071,041 }   
  _HMG_SYSDATA [ 350 ] := { 235,237,095 }   
  _HMG_SYSDATA [ 351 ] := { 069,015,135 }  
*-----------------------------------------------------------------------------------------------------------*

        SELECT 1
        USE STOCK INDEX STOCK
      
   DEFINE GRID Grid_1
      ROW     070  
      COL     030
      WIDTH   700
      HEIGHT  379  
      HEADERS { '','Ref','Producto','Tipo','Precio','C_Barras' }  
      WIDTHS  { 17, 122 , 149 , 135 , 116 , 138 }
      VALUE 0  
      IMAGE   { 'Resource\02x.bmp','Resource\01x.bmp' }   
      JUSTIFY { GRID_JTFY_LEFT, GRID_JTFY_RIGHT, GRID_JTFY_LEFT , GRID_JTFY_LEFT, GRID_JTFY_RIGHT, GRID_JTFY_LEFT} 
      DYNAMICFORECOLOR { fColor , fColor, fColor , fColor, fColor, fColor } 
      DYNAMICBACKCOLOR { bColor , bColor, bColor , bColor, bColor, bColor }  
      BACKCOLOR { 209,238,238 }
      FONTCOLOR { 000,255,020 } 
      ONCHANGE ( SelecDes() , PositionData()  ) 
      MULTISELECT .F.
      SHOWHEADERS .T. 
      ROWSOURCE "STOCK"
      COLUMNFIELDS { 'IIF(STOCK->L,1,0)','STOCK->REF','STOCK->PRODUCTO','STOCK->TIPO','TRAN(STOCK->PRECIO, "@E 9,999,999.99")','STOCK->CBARRAS' }  
      FONTNAME 'Arial'                                                             // <----to show a dot instead a comma ---> //
      FONTSIZE 9
      CELLNAVIGATION .T.
    END GRID

 @ 260,805 BUTTON But_01               ;
      CAPTION SPACE(4)-"Stock"         ;
      PICTURE 'Resource\Print.bmp'     ;
      ACTION  ( CreateReport_1() , ExecuteReport('Report1',.T.) )              ;  
      TOOLTIP 'Stock Report'           ; 
      FONT "ARIAL" SIZE 10 BOLD ITALIC ; 
      LEFT                             ;
      WIDTH  093                       ;
      HEIGHT 053

 @ 330,805 BUTTON But_02               ;
      CAPTION SPACE(4)-"Sales"         ;
      PICTURE 'Resource\Print.bmp'     ;
      ACTION Sales_Report()            ;     
      TOOLTIP 'Sales Report'           ; 
      FONT "ARIAL" SIZE 10 BOLD ITALIC ; 
      LEFT                             ;
      WIDTH  093                       ;
      HEIGHT 053

 @ 410,805 BUTTON But_03               ;
      CAPTION SPACE(4)-"Exit"          ;
      PICTURE 'Resource\exitx.bmp'     ;
      ACTION Form_1.Release            ;
      TOOLTIP 'Exit'                   ; 
      FONT "ARIAL" SIZE 10 BOLD ITALIC ;    
      LEFT                             ;
      WIDTH  092                       ;
      HEIGHT 053
                   
  END WINDOW
 
    SETWINDOWCURSOR ( Form_1.Grid_1.Handle, "Resource\HAND CURSOR COMIC.cur")  
    SETWINDOWCURSOR ( Form_1.But_03.Handle, "Resource\HAND CURSOR COMIC.cur")  
 
    Form_1.Grid_1.Refresh
    Form_1.Grid_1.SetFocus 

    Chane_Style()
    PositionData()  

   CENTER WINDOW Form_1
   ACTIVATE WINDOW Form_1

Return

*------------------------------------------------------------*
 FUNCTION Chane_Style()
*------------------------------------------------------------*

 HMG_ChangeWindowStyle ( GetControlHandle("Grid_1","Form_1"), LVS_REPORT, NIL, .T. )

Return
*------------------------------------------------------------* 
 Function PositionData()      // N de Registro / Total  
*------------------------------------------------------------*
 aReg    :=  Form_1.Grid_1.Value  
 nValor  :=  0
 Regs    :=  STR( Form_1.Grid_1.ItemCount )  
 
   Select('STOCK') 
   nValor := aReg[1] 
   Form_1.Label_2G.Value := ALLTRIM(STR((nValor)))+SPACE(1)+"/"+SPACE(1)+ALLTRIM( Regs)  

return 

*------------------------------------------------------------*
 FUNCTION  SelecDes()
*------------------------------------------------------------*

 STOCK->(DbGoTo( Form_1.Grid_1.RecNo))

 If STOCK->L = .T.
	Replace STOCK->L With .F.
 Else
	Replace STOCK->L With .T.
 EndIf

Return
*------------------------------------------------------------*
 FUNCTION Muy_Listo()
*------------------------------------------------------------*      
       SELECT 1 
       USE STOCK 
       DO WHILE .NOT. EOF()
            REPLACE L WITH .F.
            SKIP + 1
       ENDDO
    Form_1.Grid_1.Refresh
    Form_1.Grid_1.SetFocus 

Return

*------------------------------------------------------------*
 FUNCTION CreateReport_1()
*------------------------------------------------------------*
  CLOSE DATABASES
 
  SELECT 1
  USE STOCK INDEX STOCK
 
*------------------------------------ Total Price -------------------------------*

        SELECT 1
     
        nCouRX  := LASTREC() 

     For i = 1 to nCouRX 
           SUM STOCK->PRECIO TO nPrecioTotal    // <------ Total Price
     Next i 

*--------------------------------------------------------------------------------*

  SELECT 1
  USE STOCK INDEX STOCK

*--------------------------------------------------------------------------------*

	DEFINE REPORT Report1

		* Report Layout ***********************************************

		BEGIN LAYOUT 
			PAPERSIZE	PRINTER_PAPER_A4
			ORIENTATION	PRINTER_ORIENT_PORTRAIT   
		END LAYOUT

                    *   ORIENTATION     PRINTER_ORIENT_PORTRAIT   <--- Vertical 
                    *   ORIENTATION     PRINTER_ORIENT_LANDSCAPE  <--- Alargado

		* Header Band *************************************************

		BEGIN HEADER

			BANDHEIGHT	25
			
			BEGIN TEXT
				EXPRESSION      'Stock Mercancias'
				ROW		010  	
				COL		080  
				WIDTH		100	
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	20	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left
			END TEXT

			BEGIN PICTURE
				VALUE	        'Resource\descarga.jpg'  
				ROW		008   	  
				COL		023  
				WIDTH		011	
				HEIGHT		011	
				STRETCH		.F.
			END PICTURE


                        BEGIN LINE
				FROMROW		023
				FROMCOL		010
				TOROW		023
				TOCOL		200
				PENWIDTH	0.1
				PENCOLOR	{ 0 , 0 , 0 }
			END LINE

                        BEGIN TEXT                                                            
			        EXPRESSION      SPACE(18)+'REF'+ SPACE(12)+'PRODUCTO'+SPACE(17)+'TIPO'+SPACE(20)+'PRECIO'+SPACE(10)+'CBARRAS'
                  		ROW		024 	
				COL		014   
				WIDTH		400	
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	 11	
				FONTBOLD	.T.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left
			END TEXT

                       
                      
                        BEGIN LINE
				FROMROW		030
				FROMCOL		010
				TOROW		030
				TOCOL		200
				PENWIDTH	0.1
				PENCOLOR	{ 0 , 0 , 0 }
			END LINE

		END HEADER

		* Detail Band *************************************************


                BEGIN DETAIL

			BANDHEIGHT	6
 
                      BEGIN TEXT
				EXPRESSION	ALLTRIM(STR( STOCK->REF) ) 
				ROW		011
				COL		010
				WIDTH		030  
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	9	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	RIGHT  
	              END TEXT

                      BEGIN TEXT
				EXPRESSION	ALLTRIM( CamelCase( STOCK->PRODUCTO ,.T.,{"_",".","-","/","\"}) )   
				ROW		011
				COL		055
				WIDTH		125  
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	9	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left   
		       END TEXT

                       BEGIN TEXT
				EXPRESSION	ALLTRIM( CamelCase( STOCK->TIPO ,.T.,{"_",".","-","/","\"}) )   
				ROW		011
				COL		095
				WIDTH		125 
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	9	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left   
			END TEXT

                        BEGIN TEXT    
				EXPRESSION      TRAN( STOCK->PRECIO , "@E 999,999,999.99")    // <-------- to show a dot instead a comma
				ROW		011
				COL		102
				WIDTH		035  
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	9	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
                                FORMAT          'E'
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	RIGHT  
			END TEXT

			BEGIN TEXT
				EXPRESSION	ALLTRIM(STR( STOCK->CBARRAS) ) 
				ROW		011
				COL		150
				WIDTH		025    
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	9	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	RIGHT 
			END TEXT


		END DETAIL

		* Footer Band *************************************************

		BEGIN FOOTER

			BANDHEIGHT	27

			BEGIN LINE
				FROMROW		010  
				FROMCOL		010	
				TOROW		010  
				TOCOL		200	
				PENWIDTH	0.1	
				PENCOLOR	{ 0 , 0 , 0 }	
			END LINE

			BEGIN TEXT
				EXPRESSION	'Page. No:' + Str(_PageNo)
				ROW		012  	
				COL		011	
				WIDTH		100	
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	12	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left 
			END TEXT

			BEGIN TEXT
				EXPRESSION	Date()
				ROW		012  
				COL		177	
				WIDTH		030	
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	12	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left 
			END TEXT

		END FOOTER

		* Summary Band ************************************************

		BEGIN SUMMARY

			BANDHEIGHT	50

			BEGIN TEXT
				EXPRESSION	'Total Records: ' +SPACE(5)+ ALLTRIM(Str(RecCount()))
				ROW		020  
				COL		020	
				WIDTH		100	
				HEIGHT		030
				FONTNAME	'Helvetica'
				FONTSIZE	12	
				FONTBOLD	.T.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left 
			END TEXT

			BEGIN TEXT
				EXPRESSION	'Total Price:' 
				ROW		020  
				COL		085 
				WIDTH		100	
				HEIGHT		030
				FONTNAME	'Helvetica'
				FONTSIZE	12	
				FONTBOLD	.T.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left 
			END TEXT

                        BEGIN TEXT
                                EXPRESSION     TRAN( nPrecioTotal , "@E 999,999,999.99")  +'  ' // <-------- to show a dot instead a comma
                                ROW		020  
				COL		043  
				WIDTH		100	
				HEIGHT		030
				FONTNAME	'Helvetica'
				FONTSIZE	12	
				FONTBOLD	.T.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
                                FORMAT          'E'
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	RIGHT
			END TEXT


		END SUMMARY

	END REPORT

Return

*-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-*


*--------------------------------*
 FUNCTION Sales_Report()        
*--------------------------------*
  SELECT 1
  IF STOCK->L == .F. 
     MsgStop( "There is no selection of Sales"," Attention !!!")
     Return
  ELSE
    ( CreateReport_2() , ExecuteReport('Report2',.T.) , Muy_Listo() )
  ENDIF

Return

*--------------------------------*
 FUNCTION CreateReport_2()
*--------------------------------*

  SELECT 1
  USE STOCK INDEX STOCK
  SET FILTER TO STOCK->L == .T. 

*------------------------------------ Total Price -------------------------------*

        SELECT 1
        SET FILTER TO STOCK->L == .T. 
        COUNT TO nRegistros                    //  <----- Total Registros con el Filtro

        nCouRX  := LASTREC()                   //  <----- Total Registros Database

     For i = 1 to nCouRX 
           SUM STOCK->PRECIO TO nPrecioTotal    // <------ Total Price
     Next i 

*--------------------------------------------------------------------------------*
  SELECT 1
  USE STOCK INDEX STOCK
  SET FILTER TO STOCK->L == .T. 
*--------------------------------------------------------------------------------*

	DEFINE REPORT Report2

		* Report Layout ***********************************************

		BEGIN LAYOUT 
			PAPERSIZE	PRINTER_PAPER_A4
			ORIENTATION	PRINTER_ORIENT_PORTRAIT   
		END LAYOUT

                    *   ORIENTATION     PRINTER_ORIENT_PORTRAIT   <--- Vertical 
                    *   ORIENTATION     PRINTER_ORIENT_LANDSCAPE  <--- Horizontal 

		* Header Band *************************************************

		BEGIN HEADER

			BANDHEIGHT	25
			
			BEGIN TEXT
				EXPRESSION      'Stock Sales'
				ROW		010  	
				COL		084  
				WIDTH		100	
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	20	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left
			END TEXT

			BEGIN PICTURE
				VALUE	        'Resource\descarga.jpg'  
				ROW		008   	  
				COL		023  
				WIDTH		011	
				HEIGHT		011	
				STRETCH		.F.
			END PICTURE


                        BEGIN LINE
				FROMROW		023
				FROMCOL		010
				TOROW		023
				TOCOL		200
				PENWIDTH	0.1
				PENCOLOR	{ 0 , 0 , 0 }
			END LINE

                        BEGIN TEXT                                                            
			        EXPRESSION      SPACE(18)+'REF'+ SPACE(12)+'PRODUCTO'+SPACE(17)+'TIPO'+SPACE(20)+'PRECIO'+SPACE(10)+'CBARRAS'
                  		ROW		024 	
				COL		014   
				WIDTH		400	
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	 11	
				FONTBOLD	.T.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left
			END TEXT
                      
                        BEGIN LINE
				FROMROW		030
				FROMCOL		010
				TOROW		030
				TOCOL		200
				PENWIDTH	0.1
				PENCOLOR	{ 0 , 0 , 0 }
			END LINE

		END HEADER

		* Detail Band *************************************************


                BEGIN DETAIL

			BANDHEIGHT	6
 
                      BEGIN TEXT
				EXPRESSION	ALLTRIM(STR( STOCK->REF) ) 
				ROW		011
				COL		010
				WIDTH		030  
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	9	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	RIGHT  
	              END TEXT

                      BEGIN TEXT
				EXPRESSION	ALLTRIM( CamelCase( STOCK->PRODUCTO ,.T.,{"_",".","-","/","\"}) )   
				ROW		011
				COL		055
				WIDTH		125  
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	9	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left   
		       END TEXT

                       BEGIN TEXT
				EXPRESSION	ALLTRIM( CamelCase( STOCK->TIPO ,.T.,{"_",".","-","/","\"}) )   
				ROW		011
				COL		095
				WIDTH		125 
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	9	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left   
			END TEXT

                        BEGIN TEXT    
				EXPRESSION      TRAN( STOCK->PRECIO , "@E 999,999,999.99")    // <-------- to show a dot instead a comma
				ROW		011
				COL		102
				WIDTH		035  
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	9	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
                                FORMAT          'E'
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	RIGHT  
			END TEXT

			BEGIN TEXT
				EXPRESSION	ALLTRIM(STR( STOCK->CBARRAS) ) 
				ROW		011
				COL		150
				WIDTH		025    
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	9	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	RIGHT 
			END TEXT


		END DETAIL

		* Footer Band *************************************************

		BEGIN FOOTER

			BANDHEIGHT	27

			BEGIN LINE
				FROMROW		010  
				FROMCOL		010	
				TOROW		010  
				TOCOL		200	
				PENWIDTH	0.1	
				PENCOLOR	{ 0 , 0 , 0 }	
			END LINE

			BEGIN TEXT
				EXPRESSION	'Page. No:' + Str(_PageNo)
				ROW		012  	
				COL		011	
				WIDTH		100	
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	12	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left 
			END TEXT

			BEGIN TEXT
				EXPRESSION	Date()
				ROW		012  
				COL		177	
				WIDTH		030	
				HEIGHT		010	
				FONTNAME	'Helvetica'
				FONTSIZE	12	
				FONTBOLD	.F.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left 
			END TEXT

		END FOOTER

		* Summary Band ************************************************

		BEGIN SUMMARY

			BANDHEIGHT	50      

			BEGIN TEXT
			        EXPRESSION	'Total Records: ' +SPACE(5)+ ALLTRIM( Str( nRegistros ) )  
				ROW		020  
				COL		020	
				WIDTH		100	
				HEIGHT		030
				FONTNAME	'Helvetica'
				FONTSIZE	12	
				FONTBOLD	.T.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left 
			END TEXT

			BEGIN TEXT
				EXPRESSION	'Total Sales:' 
				ROW		020  
				COL		085 
				WIDTH		100	
				HEIGHT		030
				FONTNAME	'Helvetica'
				FONTSIZE	12	
				FONTBOLD	.T.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	Left 
			END TEXT

                        BEGIN TEXT
                                EXPRESSION     TRAN( nPrecioTotal , "@E 999,999,999.99")  +'  ' // <-------- to show a dot instead a comma
                                ROW		020  
				COL		043  
				WIDTH		100	
				HEIGHT		030
				FONTNAME	'Helvetica'
				FONTSIZE	12	
				FONTBOLD	.T.
				FONTITALIC	.F.
				FONTUNDERLINE	.F.
				FONTSTRIKEOUT	.F.
                                FORMAT          'E'
				FONTCOLOR	{ 0 , 0 , 0 }
				ALIGNMENT	RIGHT
			END TEXT


		END SUMMARY

	END REPORT

Return

*-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-*
